<?php
/*
 *	Üye Taşıma SQL bölümü
 *  Ziya Çakmak
 *  ziya.cakmak@tsoft.com.tr
 *  Version : 9.0.0.0
 *  Son Değişiklik : 31.07.2023
 */
include_once "../config/database.php";
if(isset($_GET["test"])){
	try{
		$dsn = 'mysql:host=' . $database_config['host'] . ';dbname=' . $database_config['name'] . ';charset=utf8';
		$user = $database_config['user'];
		$password = $database_config['pass'];
		$db = new PDO($dsn, $user, $password);
		echo "1";
	}
	catch(Exception $ex){
		echo "0";
	}
}
else{
	if($_POST["data"]){
		$dsn = 'mysql:host=' . $database_config['host'] . ';dbname=' . $database_config['name'] . ';charset=utf8';
		$user = $database_config['user'];
		$password = $database_config['pass'];
		$db = new PDO($dsn, $user, $password);	
		$dataset = json_decode($_POST["data"],TRUE);
		for($i=0;$i<count($dataset);$i++){
			$sqlData = $db->prepare("INSERT INTO uyeler(ad,soyad,eposta,bildirim,dogum,evtel,ceptel,adres,Onay,Kredibilite,parola,cinsiyet,tckimlikno,ulke,kayittar,vergidairesi,vergino,UyeGrupId,country_code,city,town,firma) VALUES(:ad,:soyad,:eposta,:bildirim,:dogum,:evtel,:ceptel,:adres,:Onay,:Kredibilite,:parola,:cinsiyet,:tckimlikno,:ulke,:kayittar,:vergidairesi,:vergino,:UyeGrupId,:country_code,:city,:town,:firma)");
			$sqlData->bindParam(":ad", $dataset[$i]["name"]);
			$sqlData->bindParam(":soyad", $dataset[$i]["surname"]);
			$sqlData->bindParam(":eposta", $dataset[$i]["email"]);
			$sqlData->bindParam(":bildirim", $dataset[$i]["notify"]);
			$sqlData->bindParam(":dogum", $dataset[$i]["birthday"]);
			$sqlData->bindParam(":evtel", $dataset[$i]["phonehome"]);
			$sqlData->bindParam(":ceptel", $dataset[$i]["phonepocket"]);
			$sqlData->bindParam(":adres", $dataset[$i]["adress"]);
			$sqlData->bindParam(":town", $dataset[$i]["district"]);
			$sqlData->bindParam(":city", $dataset[$i]["city"]);
			$sqlData->bindParam(":Onay", $dataset[$i]["check"]);
			$sqlData->bindParam(":Kredibilite", $dataset[$i]["credit"]);
			$sqlData->bindParam(":parola", $dataset[$i]["pass"]);
			$sqlData->bindParam(":cinsiyet", $dataset[$i]["sex"]);
			$sqlData->bindParam(":tckimlikno", $dataset[$i]["tckimlikno"]);
			$sqlData->bindParam(":ulke", $dataset[$i]["ulke"]);
			$sqlData->bindParam(":country_code", $dataset[$i]["ulke"]);
			$sqlData->bindParam(":kayittar", $dataset[$i]["kayittar"]);
			$sqlData->bindParam(":vergidairesi", $dataset[$i]["vergidairesi"]);
			$sqlData->bindParam(":vergino", $dataset[$i]["vergino"]);
			$sqlData->bindParam(":UyeGrupId", $dataset[$i]["uyegrup"]);
			$sqlData->bindParam(":firma", $dataset[$i]["firma"]);
			if($sqlData->execute()){
				echo $dataset[$i]["name"] . " " .  $dataset[$i]["surname"] . " isimli üye eklendi...";
			}
			else{
				echo $dataset[$i]["name"] . " " .  $dataset[$i]["surname"] . " isimli üye eklenemedi...Hata oluştu...Değerler Geçersiz...";
			}
			//Web servis cari kodu ekleme
			$lastIndex = $db->lastInsertId();
			$cariKod = $db->prepare("UPDATE uyeler SET WSCariKodu=:WSCariKodu WHERE id=:id");
			if($cariKod->execute(array("WSCariKodu" => "T".$lastIndex, "id" => $lastIndex))){
				echo "(T$lastIndex)<br/>";
			}
			else{
				echo "(WSCariKodu Hata Oluştu)<br/>";
			}
		}	
	}
	else{
		echo "Parametreler Eksik";
	}
}
/*
 * Güncelleme Notları
 *
 * 1.0.0.0 | İlk Sürüm.
 * 2.0.0.0 | Localhost dışındaki bağlanılardaki hata düzeltildi.
 * 3.0.0.0 | WSCariKodu alanı ekleme özelliği eklendi.
 * 4.0.0.0 | Yeni alanlar eklendi. (tckimlikno,ulke,kayittar,vergidairesi,vergino)
 * 5.0.0.0 | Yeni alanlar eklendi. (UyeGrupId)
 * 6.0.0.0 | Ülke, il ve ilçe'de oluşan sorunlar düzeltildi.
 * 7.0.0.0 | Yeni alanlar eklendi. (firma)
 * 8.0.0.0 | Eski alanlar kaldırıldı. (il,ilce)
 * 9.0.0.0 | Bildirim sorunu çözüldü (bildirim)
 *
 */
?>  
